Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
steve8820
Posts: 78
Registered: ‎04-04-2013
My Device: BB10 Dev Alpha Simulator
My Carrier: Blackberry
Accepted Solution

Unable to run my app on Z10 simulator

Hi,

 

I was trying to run my app built with 10.1.0.1020 SDk on my Z10 simulator it didnt work. Then I checked my Z10 simulator and the version was 10.0.9.1673 which is older than my SDK. I tried it on my Q10 simulator and it worked. So im a little confuse here. Is it i have to update my Z10 OS?

Regards,

Steve Chan
Please use plain text.
Developer
oliver_kranz
Posts: 216
Registered: ‎09-18-2009
My Device: Z10
My Carrier: O2

Re: Unable to run my app on Z10 simulator

SDK version and simulator version must be equal.

Please use plain text.
Developer
steve8820
Posts: 78
Registered: ‎04-04-2013
My Device: BB10 Dev Alpha Simulator
My Carrier: Blackberry

Re: Unable to run my app on Z10 simulator

Ok, i understand. But is there a way to update the Z10 simulator's version? As I tried to find the SDK on my IDE does not have 10.0.9.1673 version to install. Any idea?
Regards,

Steve Chan
Please use plain text.
Developer
oliver_kranz
Posts: 216
Registered: ‎09-18-2009
My Device: Z10
My Carrier: O2

Re: Unable to run my app on Z10 simulator

Please use plain text.
Developer
steve8820
Posts: 78
Registered: ‎04-04-2013
My Device: BB10 Dev Alpha Simulator
My Carrier: Blackberry

Re: Unable to run my app on Z10 simulator

Thanks for the link, But it does not specify which version is for Q10 or Z10. Since Z10 latest simulator is only 10.0.9.1673. May I know where can I download 10.0.9.1673 SDK for my IDE? I tried searching it on the update SDK and cant find it.

Regards,

Steve Chan
Please use plain text.
Developer
oliver_kranz
Posts: 216
Registered: ‎09-18-2009
My Device: Z10
My Carrier: O2

Re: Unable to run my app on Z10 simulator

Momentics should provide the SDK 10.0.9.1673 in the update section. It is installed in my Momentics. Nevertheless, if it is not supported anymore you can install a later SDK version and a later simulator version. The latest Z10 simulator should be 10.0.10.822.

Please use plain text.
Developer
steve8820
Posts: 78
Registered: ‎04-04-2013
My Device: BB10 Dev Alpha Simulator
My Carrier: Blackberry

Re: Unable to run my app on Z10 simulator

Ok, im downloading 10.0.10.822 simulator now. Not sure is it for z10 or not. The link doesnt specify. Will update this topic once i tried it. Thanks
Regards,

Steve Chan
Please use plain text.
Developer
steve8820
Posts: 78
Registered: ‎04-04-2013
My Device: BB10 Dev Alpha Simulator
My Carrier: Blackberry

Re: Unable to run my app on Z10 simulator

Hi oliver_kranz,

 

Just tried the 10.0.10.822 and it works. Thanks for the info.

Regards,

Steve Chan
Please use plain text.